Bug 210561 - Garbled/no display
Garbled/no display
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-neomagic (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-12 17:04 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 19:12:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
X log - possibly from rhgb? (49.55 KB, text/plain)
2006-10-12 17:04 EDT, Orion Poplawski
no flags Details
X log (13.71 KB, text/plain)
2006-10-12 17:05 EDT, Orion Poplawski
no flags Details
X log (13.58 KB, text/plain)
2007-07-30 12:05 EDT, Orion Poplawski
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 7873 None None None Never

  None (edit)
Description Orion Poplawski 2006-10-12 17:04:11 EDT
Description of problem:

With today's rawhide (20061012), stock config gives me no display (just some
crazy scan lines).  Can't switch to text consoles either - same bad display.

xorg-x11-drv-neomagic-1.1.1-2.1

xorg.conf:
# Xorg configuration created by pyxf86config

Section "ServerLayout"
        Identifier     "Default Layout"
        Screen      0  "Screen0" 0 0
        InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "neomagic"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
        EndSubSection
EndSection
Comment 1 Orion Poplawski 2006-10-12 17:04:13 EDT
Created attachment 138378 [details]
X log - possibly from rhgb?
Comment 2 Orion Poplawski 2006-10-12 17:05:13 EDT
Created attachment 138379 [details]
X log

Trying to restart X fails...
Comment 3 Orion Poplawski 2006-10-12 17:09:50 EDT
This patch fixes the problem:

--- a/src/neo_driver.c
+++ b/src/neo_driver.c
@@ -118,6 +118,9 @@ #define _XF86DGA_SERVER_
 #include <X11/extensions/xf86dgastr.h>
 #endif

+/* For abs() */
+#include <stdlib.h>
+
 /* Mandatory functions */
 static const OptionInfoRec *   NEOAvailableOptions(int chipid, int busid);
 static void     NEOIdentify(int flags);

This patch is in the upstream bug report but has not been acted on in 2 months.
 Perhaps you would consider applying.  It's trivial and is clearly the right
thing to do.
Comment 4 Orion Poplawski 2006-10-12 17:23:53 EDT
Hmm, well that fixed the problem back in FC6T2, but appears to have no effect on
what I'm seeing now.

Comment 5 Orion Poplawski 2007-07-27 12:45:52 EDT
Now with Fedora 7, xorg-x11-server 1.3.0.0-9.fc7 and neomagic 1.1.1 I get no
display at all and the following error:

(EE) NEOMAGIC(0): Only 640x480,
     800x600,
 and 1024x768 panels are currently supported
(II) UnloadModule: "neomagic"
(II) UnloadModule: "vgahw"
(II) Unloading /usr/lib/xorg/modules//libvgahw.so
(EE) Screen(s) found, but none have a usable configuration.

Have we completely lost support for external displays?

Applying my patch above makes no difference now.
Comment 6 Matěj Cepl 2007-07-30 10:54:38 EDT
Can we get updated version of /var/log/Xorg.0.log and /etc/X11/xorg.conf (if any
exists) as separate uncompressed attachments to this bug, please?
Comment 7 Orion Poplawski 2007-07-30 12:05:18 EDT
Created attachment 160252 [details]
X log

# Xorg configuration created by pyxf86config

Section "ServerLayout"
	Identifier     "Default Layout"
	Screen	    0  "Screen0" 0 0
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver	    "kbd"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "us"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver	    "neomagic"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device	   "Videocard0"
	DefaultDepth	 24
	SubSection "Display"
		Viewport   0 0
		Depth	  24
	EndSubSection
EndSection
Comment 8 Matěj Cepl 2007-07-31 06:08:56 EDT
Could you try to run Xorg without any /etc/X11/xorg.conf whatsoever, please?
What does the magical auto-detection give us?
Comment 9 Matěj Cepl 2007-08-31 18:42:33 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, this bug will be closed as INSUFFICIENT_DATA. Thank you.
Comment 10 Matěj Cepl 2007-10-11 19:12:37 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.